Subject: Re: [RFC][PATCH] Turn part of SNMP accounting macros into functions

From: Christoph Lameter <[email-masked]>
Date: Fri, 29 Aug 2008 07:57:37 -0500

Herbert Xu wrote:

> What happened to Christoph Lameter's new per-cpu stuff? That would
> allows us to turn these into a single inc/add instruction.
> 
> So I think we should put this patch on the back-burner until the
> status of the per-cpu stuff is settled.

Well the zero based patchset is still not in for x86_64. The percpu stuff
would only work for x86_32. 32 bit uses the available segment register for per
cpu stuff. 64 bit wastes it on the pda.

Maybe its okay if itll just work for 32bit and it would put pressure on x86_64
to get the crap fixed up?